$bodybg: red;
$fontcolor: white;
$darkbodybg: darkred;

body {
  margin: 0;
  padding: 0;
  border: 0;
  background-color: $bodybg;
  color: $fontcolor;
}

header {
  position: sticky;
  top: 0;
  background-color: $fontcolor;
  color: $bodybg;
  h1 {
    display: inline-block;
    padding: 0 30px;
  }
  nav {
    display: inline-block;
    position: absolute;
    right: 0;
    height: 100%;
    a {
      vertical-align: middle;
      padding: 0 20px 0 0;
    }
  }
  nav:before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    height: 100%;
  }
}

.maincontain {
  padding: 40px 0 0 0;
}

main {
  div {
    overflow: hidden;
    article, aside {
      width: 50%;
    }
    article {
      float: left;
      article {
        width: 100%;
      }
    }
    aside {
      float: right;
      table {
        margin: 20px 0;
        width: 100%;
        td {
          text-align: center;
        }
      }
    }
  }
}

details {
  background-color: $fontcolor;
  padding: 5px 0;
  margin: 30px 0;
  summary {
    text-align: center;
    background-color: $darkbodybg;
  }
  form {
    background-color: $darkbodybg;
    padding: 0 0 30px 40px;
  }
}

footer {
  background-color: $fontcolor;
  color: $bodybg;
  h4, ul {
    margin: 0;
  }
  ul {
    list-style: none;
  }
}
